org.apache.tinkerpop.gremlin.language.grammar

## Class TraversalMethodVisitor

- java.lang.Object
- - org.antlr.v4.runtime.tree.AbstractParseTreeVisitor<T>
  - - org.apache.tinkerpop.gremlin.language.grammar.GremlinBaseVisitor<Traversal>
    - - org.apache.tinkerpop.gremlin.language.grammar.TraversalRootVisitor<GraphTraversal>
      - - org.apache.tinkerpop.gremlin.language.grammar.TraversalMethodVisitor

- All Implemented Interfaces:
    org.antlr.v4.runtime.tree.ParseTreeVisitor<Traversal>, GremlinVisitor<Traversal>

      public class TraversalMethodVisitor
      extends TraversalRootVisitor<GraphTraversal>

  Specific case of TraversalRootVisitor where all TraversalMethods returns a GraphTraversal object.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.language.grammar.TraversalRootVisitor

      `antlr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TraversalMethodVisitor(GremlinAntlrToJava antlr, GraphTraversal graphTraversal)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GraphTraversal[]` | `getNestedTraversalList(GremlinParser.NestedTraversalListContext ctx)`
    `GraphTraversal` | `visitTraversalMethod_addE_String(GremlinParser.TraversalMethod_addE_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_addE_String` labeled alternative in `GremlinParser.traversalMethod_addE()`.
    `GraphTraversal` | `visitTraversalMethod_addE_Traversal(GremlinParser.TraversalMethod_addE_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_addE_Traversal` labeled alternative in `GremlinParser.traversalMethod_addE()`.
    `GraphTraversal` | `visitTraversalMethod_addV_Empty(GremlinParser.TraversalMethod_addV_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_addV_Empty` labeled alternative in `GremlinParser.traversalMethod_addV()`.
    `GraphTraversal` | `visitTraversalMethod_addV_String(GremlinParser.TraversalMethod_addV_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_addV_String` labeled alternative in `GremlinParser.traversalMethod_addV()`.
    `GraphTraversal` | `visitTraversalMethod_addV_Traversal(GremlinParser.TraversalMethod_addV_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_addV_Traversal` labeled alternative in `GremlinParser.traversalMethod_addV()`.
    `GraphTraversal` | `visitTraversalMethod_aggregate_Scope_String(GremlinParser.TraversalMethod_aggregate_Scope_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_aggregate_Scope_String` labeled alternative in `GremlinParser.traversalMethod_aggregate()`.
    `GraphTraversal` | `visitTraversalMethod_aggregate_String(GremlinParser.TraversalMethod_aggregate_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_aggregate_String` labeled alternative in `GremlinParser.traversalMethod_aggregate()`.
    `GraphTraversal` | `visitTraversalMethod_and(GremlinParser.TraversalMethod_andContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_and()`.
    `GraphTraversal` | `visitTraversalMethod_as(GremlinParser.TraversalMethod_asContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_as()`.
    `GraphTraversal` | `visitTraversalMethod_barrier_Consumer(GremlinParser.TraversalMethod_barrier_ConsumerContext ctx)` Visit a parse tree produced by the `traversalMethod_barrier_Consumer` labeled alternative in `GremlinParser.traversalMethod_barrier()`.
    `GraphTraversal` | `visitTraversalMethod_barrier_Empty(GremlinParser.TraversalMethod_barrier_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_barrier_Empty` labeled alternative in `GremlinParser.traversalMethod_barrier()`.
    `GraphTraversal` | `visitTraversalMethod_barrier_int(GremlinParser.TraversalMethod_barrier_intContext ctx)` Visit a parse tree produced by the `traversalMethod_barrier_int` labeled alternative in `GremlinParser.traversalMethod_barrier()`.
    `GraphTraversal` | `visitTraversalMethod_both(GremlinParser.TraversalMethod_bothContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_both()`.
    `GraphTraversal` | `visitTraversalMethod_bothE(GremlinParser.TraversalMethod_bothEContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_bothE()`.
    `GraphTraversal` | `visitTraversalMethod_bothV(GremlinParser.TraversalMethod_bothVContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_bothV()`.
    `GraphTraversal` | `visitTraversalMethod_branch(GremlinParser.TraversalMethod_branchContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_branch()`.
    `GraphTraversal` | `visitTraversalMethod_by_Comparator(GremlinParser.TraversalMethod_by_ComparatorContext ctx)` Visit a parse tree produced by the `traversalMethod_by_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `GraphTraversal` | `visitTraversalMethod_by_Empty(GremlinParser.TraversalMethod_by_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_by_Empty` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `GraphTraversal` | `visitTraversalMethod_by_Function_Comparator(GremlinParser.TraversalMethod_by_Function_ComparatorContext ctx)` Visit a parse tree produced by the `traversalMethod_by_Function_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `GraphTraversal` | `visitTraversalMethod_by_Function(GremlinParser.TraversalMethod_by_FunctionContext ctx)` Visit a parse tree produced by the `traversalMethod_by_Function` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `GraphTraversal` | `visitTraversalMethod_by_Order(GremlinParser.TraversalMethod_by_OrderContext ctx)` Visit a parse tree produced by the `traversalMethod_by_Order` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `GraphTraversal` | `visitTraversalMethod_by_String_Comparator(GremlinParser.TraversalMethod_by_String_ComparatorContext ctx)` Visit a parse tree produced by the `traversalMethod_by_String_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `GraphTraversal` | `visitTraversalMethod_by_String(GremlinParser.TraversalMethod_by_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_by_String` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `GraphTraversal` | `visitTraversalMethod_by_T(GremlinParser.TraversalMethod_by_TContext ctx)` Visit a parse tree produced by the `traversalMethod_by_T` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `GraphTraversal` | `visitTraversalMethod_by_Traversal_Comparator(GremlinParser.TraversalMethod_by_Traversal_ComparatorContext ctx)` Visit a parse tree produced by the `traversalMethod_by_Traversal_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `GraphTraversal` | `visitTraversalMethod_by_Traversal(GremlinParser.TraversalMethod_by_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_by_Traversal` labeled alternative in `GremlinParser.traversalMethod_by()`.
    `GraphTraversal` | `visitTraversalMethod_cap(GremlinParser.TraversalMethod_capContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_cap()`.
    `GraphTraversal` | `visitTraversalMethod_choose_Function(GremlinParser.TraversalMethod_choose_FunctionContext ctx)` Visit a parse tree produced by the `traversalMethod_choose_Function` labeled alternative in `GremlinParser.traversalMethod_choose()`.
    `GraphTraversal` | `visitTraversalMethod_choose_Predicate_Traversal_Traversal(GremlinParser.TraversalMethod_choose_Predicate_Traversal_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_choose_Predicate_Traversal_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
    `GraphTraversal` | `visitTraversalMethod_choose_Predicate_Traversal(GremlinParser.TraversalMethod_choose_Predicate_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_choose_Predicate_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
    `GraphTraversal` | `visitTraversalMethod_choose_Traversal_Traversal_Traversal(GremlinParser.TraversalMethod_choose_Traversal_Traversal_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_choose_Traversal_Traversal_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
    `GraphTraversal` | `visitTraversalMethod_choose_Traversal_Traversal(GremlinParser.TraversalMethod_choose_Traversal_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_choose_Traversal_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
    `GraphTraversal` | `visitTraversalMethod_choose_Traversal(GremlinParser.TraversalMethod_choose_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_choose_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.
    `GraphTraversal` | `visitTraversalMethod_coalesce(GremlinParser.TraversalMethod_coalesceContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_coalesce()`.
    `GraphTraversal` | `visitTraversalMethod_coin(GremlinParser.TraversalMethod_coinContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_coin()`.
    `Traversal` | `visitTraversalMethod_connectedComponent(GremlinParser.TraversalMethod_connectedComponentContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_connectedComponent()`.
    `GraphTraversal` | `visitTraversalMethod_constant(GremlinParser.TraversalMethod_constantContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_constant()`.
    `GraphTraversal` | `visitTraversalMethod_count_Empty(GremlinParser.TraversalMethod_count_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_count_Empty` labeled alternative in `GremlinParser.traversalMethod_count()`.
    `GraphTraversal` | `visitTraversalMethod_count_Scope(GremlinParser.TraversalMethod_count_ScopeContext ctx)` Visit a parse tree produced by the `traversalMethod_count_Scope` labeled alternative in `GremlinParser.traversalMethod_count()`.
    `GraphTraversal` | `visitTraversalMethod_cyclicPath(GremlinParser.TraversalMethod_cyclicPathContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_cyclicPath()`.
    `GraphTraversal` | `visitTraversalMethod_dedup_Scope_String(GremlinParser.TraversalMethod_dedup_Scope_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_dedup_Scope_String` labeled alternative in `GremlinParser.traversalMethod_dedup()`.
    `GraphTraversal` | `visitTraversalMethod_dedup_String(GremlinParser.TraversalMethod_dedup_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_dedup_String` labeled alternative in `GremlinParser.traversalMethod_dedup()`.
    `GraphTraversal` | `visitTraversalMethod_drop(GremlinParser.TraversalMethod_dropContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_drop()`.
    `GraphTraversal` | `visitTraversalMethod_elementMap(GremlinParser.TraversalMethod_elementMapContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_elementMap()`.
    `GraphTraversal` | `visitTraversalMethod_emit_Empty(GremlinParser.TraversalMethod_emit_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_emit_Empty` labeled alternative in `GremlinParser.traversalMethod_emit()`.
    `GraphTraversal` | `visitTraversalMethod_emit_Predicate(GremlinParser.TraversalMethod_emit_PredicateContext ctx)` Visit a parse tree produced by the `traversalMethod_emit_Predicate` labeled alternative in `GremlinParser.traversalMethod_emit()`.
    `GraphTraversal` | `visitTraversalMethod_emit_Traversal(GremlinParser.TraversalMethod_emit_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_emit_Traversal` labeled alternative in `GremlinParser.traversalMethod_emit()`.
    `GraphTraversal` | `visitTraversalMethod_filter_Predicate(GremlinParser.TraversalMethod_filter_PredicateContext ctx)` Visit a parse tree produced by the `traversalMethod_filter_Predicate` labeled alternative in `GremlinParser.traversalMethod_filter()`.
    `GraphTraversal` | `visitTraversalMethod_filter_Traversal(GremlinParser.TraversalMethod_filter_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_filter_Traversal` labeled alternative in `GremlinParser.traversalMethod_filter()`.
    `GraphTraversal` | `visitTraversalMethod_flatMap(GremlinParser.TraversalMethod_flatMapContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_flatMap()`.
    `GraphTraversal` | `visitTraversalMethod_fold_Empty(GremlinParser.TraversalMethod_fold_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_fold_Empty` labeled alternative in `GremlinParser.traversalMethod_fold()`.
    `GraphTraversal` | `visitTraversalMethod_fold_Object_BiFunction(GremlinParser.TraversalMethod_fold_Object_BiFunctionContext ctx)` Visit a parse tree produced by the `traversalMethod_fold_Object_BiFunction` labeled alternative in `GremlinParser.traversalMethod_fold()`.
    `GraphTraversal` | `visitTraversalMethod_from_String(GremlinParser.TraversalMethod_from_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_from_String` labeled alternative in `GremlinParser.traversalMethod_from()`.
    `GraphTraversal` | `visitTraversalMethod_from_Traversal(GremlinParser.TraversalMethod_from_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_from_Traversal` labeled alternative in `GremlinParser.traversalMethod_from()`.
    `GraphTraversal` | `visitTraversalMethod_group_Empty(GremlinParser.TraversalMethod_group_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_group_Empty` labeled alternative in `GremlinParser.traversalMethod_group()`.
    `GraphTraversal` | `visitTraversalMethod_group_String(GremlinParser.TraversalMethod_group_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_group_String` labeled alternative in `GremlinParser.traversalMethod_group()`.
    `GraphTraversal` | `visitTraversalMethod_groupCount_Empty(GremlinParser.TraversalMethod_groupCount_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_groupCount_Empty` labeled alternative in `GremlinParser.traversalMethod_groupCount()`.
    `GraphTraversal` | `visitTraversalMethod_groupCount_String(GremlinParser.TraversalMethod_groupCount_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_groupCount_String` labeled alternative in `GremlinParser.traversalMethod_groupCount()`.
    `GraphTraversal` | `visitTraversalMethod_has_String_Object(GremlinParser.TraversalMethod_has_String_ObjectContext ctx)` Visit a parse tree produced by the `traversalMethod_has_String_Object` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `GraphTraversal` | `visitTraversalMethod_has_String_P(GremlinParser.TraversalMethod_has_String_PContext ctx)` Visit a parse tree produced by the `traversalMethod_has_String_P` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `GraphTraversal` | `visitTraversalMethod_has_String_String_Object(GremlinParser.TraversalMethod_has_String_String_ObjectContext ctx)` Visit a parse tree produced by the `traversalMethod_has_String_String_Object` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `GraphTraversal` | `visitTraversalMethod_has_String_String_P(GremlinParser.TraversalMethod_has_String_String_PContext ctx)` Visit a parse tree produced by the `traversalMethod_has_String_String_P` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `GraphTraversal` | `visitTraversalMethod_has_String_Traversal(GremlinParser.TraversalMethod_has_String_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_has_String_Traversal` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `GraphTraversal` | `visitTraversalMethod_has_String(GremlinParser.TraversalMethod_has_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_has_String` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `GraphTraversal` | `visitTraversalMethod_has_T_Object(GremlinParser.TraversalMethod_has_T_ObjectContext ctx)` Visit a parse tree produced by the `traversalMethod_has_T_Object` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `GraphTraversal` | `visitTraversalMethod_has_T_P(GremlinParser.TraversalMethod_has_T_PContext ctx)` Visit a parse tree produced by the `traversalMethod_has_T_P` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `GraphTraversal` | `visitTraversalMethod_has_T_Traversal(GremlinParser.TraversalMethod_has_T_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_has_T_Traversal` labeled alternative in `GremlinParser.traversalMethod_has()`.
    `GraphTraversal` | `visitTraversalMethod_hasId_Object_Object(GremlinParser.TraversalMethod_hasId_Object_ObjectContext ctx)` Visit a parse tree produced by the `traversalMethod_hasId_Object_Object` labeled alternative in `GremlinParser.traversalMethod_hasId()`.
    `GraphTraversal` | `visitTraversalMethod_hasId_P(GremlinParser.TraversalMethod_hasId_PContext ctx)` Visit a parse tree produced by the `traversalMethod_hasId_P` labeled alternative in `GremlinParser.traversalMethod_hasId()`.
    `GraphTraversal` | `visitTraversalMethod_hasKey_P(GremlinParser.TraversalMethod_hasKey_PContext ctx)` Visit a parse tree produced by the `traversalMethod_hasKey_P` labeled alternative in `GremlinParser.traversalMethod_hasKey()`.
    `GraphTraversal` | `visitTraversalMethod_hasKey_String_String(GremlinParser.TraversalMethod_hasKey_String_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_hasKey_String_String` labeled alternative in `GremlinParser.traversalMethod_hasKey()`.
    `GraphTraversal` | `visitTraversalMethod_hasLabel_P(GremlinParser.TraversalMethod_hasLabel_PContext ctx)` Visit a parse tree produced by the `traversalMethod_hasLabel_P` labeled alternative in `GremlinParser.traversalMethod_hasLabel()`.
    `GraphTraversal` | `visitTraversalMethod_hasLabel_String_String(GremlinParser.TraversalMethod_hasLabel_String_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_hasLabel_String_String` labeled alternative in `GremlinParser.traversalMethod_hasLabel()`.
    `GraphTraversal` | `visitTraversalMethod_hasNot(GremlinParser.TraversalMethod_hasNotContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_hasNot()`.
    `GraphTraversal` | `visitTraversalMethod_hasValue_Object_Object(GremlinParser.TraversalMethod_hasValue_Object_ObjectContext ctx)` Visit a parse tree produced by the `traversalMethod_hasValue_Object_Object` labeled alternative in `GremlinParser.traversalMethod_hasValue()`.
    `GraphTraversal` | `visitTraversalMethod_hasValue_P(GremlinParser.TraversalMethod_hasValue_PContext ctx)` Visit a parse tree produced by the `traversalMethod_hasValue_P` labeled alternative in `GremlinParser.traversalMethod_hasValue()`.
    `GraphTraversal` | `visitTraversalMethod_id(GremlinParser.TraversalMethod_idContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_id()`.
    `GraphTraversal` | `visitTraversalMethod_identity(GremlinParser.TraversalMethod_identityContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_identity()`.
    `GraphTraversal` | `visitTraversalMethod_in(GremlinParser.TraversalMethod_inContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_in()`.
    `GraphTraversal` | `visitTraversalMethod_index(GremlinParser.TraversalMethod_indexContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_index()`.
    `GraphTraversal` | `visitTraversalMethod_inE(GremlinParser.TraversalMethod_inEContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_inE()`.
    `GraphTraversal` | `visitTraversalMethod_inject(GremlinParser.TraversalMethod_injectContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_inject()`.
    `GraphTraversal` | `visitTraversalMethod_inV(GremlinParser.TraversalMethod_inVContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_inV()`.
    `GraphTraversal` | `visitTraversalMethod_is_Object(GremlinParser.TraversalMethod_is_ObjectContext ctx)` Visit a parse tree produced by the `traversalMethod_is_Object` labeled alternative in `GremlinParser.traversalMethod_is()`.
    `GraphTraversal` | `visitTraversalMethod_is_P(GremlinParser.TraversalMethod_is_PContext ctx)` Visit a parse tree produced by the `traversalMethod_is_P` labeled alternative in `GremlinParser.traversalMethod_is()`.
    `GraphTraversal` | `visitTraversalMethod_key(GremlinParser.TraversalMethod_keyContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_key()`.
    `GraphTraversal` | `visitTraversalMethod_label(GremlinParser.TraversalMethod_labelContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_label()`.
    `GraphTraversal` | `visitTraversalMethod_limit_long(GremlinParser.TraversalMethod_limit_longContext ctx)` Visit a parse tree produced by the `traversalMethod_limit_long` labeled alternative in `GremlinParser.traversalMethod_limit()`.
    `GraphTraversal` | `visitTraversalMethod_limit_Scope_long(GremlinParser.TraversalMethod_limit_Scope_longContext ctx)` Visit a parse tree produced by the `traversalMethod_limit_Scope_long` labeled alternative in `GremlinParser.traversalMethod_limit()`.
    `GraphTraversal` | `visitTraversalMethod_local(GremlinParser.TraversalMethod_localContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_local()`.
    `GraphTraversal` | `visitTraversalMethod_loops_Empty(GremlinParser.TraversalMethod_loops_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_loops_Empty` labeled alternative in `GremlinParser.traversalMethod_loops()`.
    `GraphTraversal` | `visitTraversalMethod_loops_String(GremlinParser.TraversalMethod_loops_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_loops_String` labeled alternative in `GremlinParser.traversalMethod_loops()`.
    `GraphTraversal` | `visitTraversalMethod_map(GremlinParser.TraversalMethod_mapContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_map()`.
    `GraphTraversal` | `visitTraversalMethod_match(GremlinParser.TraversalMethod_matchContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_match()`.
    `GraphTraversal` | `visitTraversalMethod_math(GremlinParser.TraversalMethod_mathContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_math()`.
    `GraphTraversal` | `visitTraversalMethod_max_Empty(GremlinParser.TraversalMethod_max_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_max_Empty` labeled alternative in `GremlinParser.traversalMethod_max()`.
    `GraphTraversal` | `visitTraversalMethod_max_Scope(GremlinParser.TraversalMethod_max_ScopeContext ctx)` Visit a parse tree produced by the `traversalMethod_max_Scope` labeled alternative in `GremlinParser.traversalMethod_max()`.
    `GraphTraversal` | `visitTraversalMethod_mean_Empty(GremlinParser.TraversalMethod_mean_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_mean_Empty` labeled alternative in `GremlinParser.traversalMethod_mean()`.
    `GraphTraversal` | `visitTraversalMethod_mean_Scope(GremlinParser.TraversalMethod_mean_ScopeContext ctx)` Visit a parse tree produced by the `traversalMethod_mean_Scope` labeled alternative in `GremlinParser.traversalMethod_mean()`.
    `GraphTraversal` | `visitTraversalMethod_min_Empty(GremlinParser.TraversalMethod_min_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_min_Empty` labeled alternative in `GremlinParser.traversalMethod_min()`.
    `GraphTraversal` | `visitTraversalMethod_min_Scope(GremlinParser.TraversalMethod_min_ScopeContext ctx)` Visit a parse tree produced by the `traversalMethod_min_Scope` labeled alternative in `GremlinParser.traversalMethod_min()`.
    `GraphTraversal` | `visitTraversalMethod_not(GremlinParser.TraversalMethod_notContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_not()`.
    `GraphTraversal` | `visitTraversalMethod_option_Object_Traversal(GremlinParser.TraversalMethod_option_Object_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_option_Object_Traversal` labeled alternative in `GremlinParser.traversalMethod_option()`.
    `Traversal` | `visitTraversalMethod_option_Predicate_Traversal(GremlinParser.TraversalMethod_option_Predicate_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_option_Predicate_Traversal` labeled alternative in `GremlinParser.traversalMethod_option()`.
    `GraphTraversal` | `visitTraversalMethod_option_Traversal(GremlinParser.TraversalMethod_option_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_option_Traversal` labeled alternative in `GremlinParser.traversalMethod_option()`.
    `GraphTraversal` | `visitTraversalMethod_optional(GremlinParser.TraversalMethod_optionalContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_optional()`.
    `GraphTraversal` | `visitTraversalMethod_or(GremlinParser.TraversalMethod_orContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_or()`.
    `GraphTraversal` | `visitTraversalMethod_order_Empty(GremlinParser.TraversalMethod_order_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_order_Empty` labeled alternative in `GremlinParser.traversalMethod_order()`.
    `GraphTraversal` | `visitTraversalMethod_order_Scope(GremlinParser.TraversalMethod_order_ScopeContext ctx)` Visit a parse tree produced by the `traversalMethod_order_Scope` labeled alternative in `GremlinParser.traversalMethod_order()`.
    `GraphTraversal` | `visitTraversalMethod_otherV(GremlinParser.TraversalMethod_otherVContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_otherV()`.
    `GraphTraversal` | `visitTraversalMethod_out(GremlinParser.TraversalMethod_outContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_out()`.
    `GraphTraversal` | `visitTraversalMethod_outE(GremlinParser.TraversalMethod_outEContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_outE()`.
    `GraphTraversal` | `visitTraversalMethod_outV(GremlinParser.TraversalMethod_outVContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_outV()`.
    `GraphTraversal` | `visitTraversalMethod_pageRank_double(GremlinParser.TraversalMethod_pageRank_doubleContext ctx)` Visit a parse tree produced by the `traversalMethod_pageRank_double` labeled alternative in `GremlinParser.traversalMethod_pageRank()`.
    `GraphTraversal` | `visitTraversalMethod_pageRank_Empty(GremlinParser.TraversalMethod_pageRank_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_pageRank_Empty` labeled alternative in `GremlinParser.traversalMethod_pageRank()`.
    `GraphTraversal` | `visitTraversalMethod_path(GremlinParser.TraversalMethod_pathContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_path()`.
    `GraphTraversal` | `visitTraversalMethod_peerPressure(GremlinParser.TraversalMethod_peerPressureContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_peerPressure()`.
    `GraphTraversal` | `visitTraversalMethod_profile_Empty(GremlinParser.TraversalMethod_profile_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_profile_Empty` labeled alternative in `GremlinParser.traversalMethod_profile()`.
    `GraphTraversal` | `visitTraversalMethod_profile_String(GremlinParser.TraversalMethod_profile_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_profile_String` labeled alternative in `GremlinParser.traversalMethod_profile()`.
    `GraphTraversal` | `visitTraversalMethod_project(GremlinParser.TraversalMethod_projectContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_project()`.
    `GraphTraversal` | `visitTraversalMethod_properties(GremlinParser.TraversalMethod_propertiesContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_properties()`.
    `GraphTraversal` | `visitTraversalMethod_property_Cardinality_Object_Object_Object(GremlinParser.TraversalMethod_property_Cardinality_Object_Object_ObjectContext ctx)` Visit a parse tree produced by the `traversalMethod_property_Cardinality_Object_Object_Object` labeled alternative in `GremlinParser.traversalMethod_property()`.
    `GraphTraversal` | `visitTraversalMethod_property_Object_Object_Object(GremlinParser.TraversalMethod_property_Object_Object_ObjectContext ctx)` Visit a parse tree produced by the `traversalMethod_property_Object_Object_Object` labeled alternative in `GremlinParser.traversalMethod_property()`.
    `GraphTraversal` | `visitTraversalMethod_propertyMap(GremlinParser.TraversalMethod_propertyMapContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_propertyMap()`.
    `GraphTraversal` | `visitTraversalMethod_range_long_long(GremlinParser.TraversalMethod_range_long_longContext ctx)` Visit a parse tree produced by the `traversalMethod_range_long_long` labeled alternative in `GremlinParser.traversalMethod_range()`.
    `GraphTraversal` | `visitTraversalMethod_range_Scope_long_long(GremlinParser.TraversalMethod_range_Scope_long_longContext ctx)` Visit a parse tree produced by the `traversalMethod_range_Scope_long_long` labeled alternative in `GremlinParser.traversalMethod_range()`.
    `GraphTraversal` | `visitTraversalMethod_read(GremlinParser.TraversalMethod_readContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_read()`.
    `GraphTraversal` | `visitTraversalMethod_repeat_String_Traversal(GremlinParser.TraversalMethod_repeat_String_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_repeat_String_Traversal` labeled alternative in `GremlinParser.traversalMethod_repeat()`.
    `GraphTraversal` | `visitTraversalMethod_repeat_Traversal(GremlinParser.TraversalMethod_repeat_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_repeat_Traversal` labeled alternative in `GremlinParser.traversalMethod_repeat()`.
    `GraphTraversal` | `visitTraversalMethod_sack_BiFunction(GremlinParser.TraversalMethod_sack_BiFunctionContext ctx)` Visit a parse tree produced by the `traversalMethod_sack_BiFunction` labeled alternative in `GremlinParser.traversalMethod_sack()`.
    `GraphTraversal` | `visitTraversalMethod_sack_Empty(GremlinParser.TraversalMethod_sack_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_sack_Empty` labeled alternative in `GremlinParser.traversalMethod_sack()`.
    `GraphTraversal` | `visitTraversalMethod_sample_int(GremlinParser.TraversalMethod_sample_intContext ctx)` Visit a parse tree produced by the `traversalMethod_sample_int` labeled alternative in `GremlinParser.traversalMethod_sample()`.
    `GraphTraversal` | `visitTraversalMethod_sample_Scope_int(GremlinParser.TraversalMethod_sample_Scope_intContext ctx)` Visit a parse tree produced by the `traversalMethod_sample_Scope_int` labeled alternative in `GremlinParser.traversalMethod_sample()`.
    `GraphTraversal` | `visitTraversalMethod_select_Column(GremlinParser.TraversalMethod_select_ColumnContext ctx)` Visit a parse tree produced by the `traversalMethod_select_Column` labeled alternative in `GremlinParser.traversalMethod_select()`.
    `GraphTraversal` | `visitTraversalMethod_select_Pop_String_String_String(GremlinParser.TraversalMethod_select_Pop_String_String_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_select_Pop_String_String_String` labeled alternative in `GremlinParser.traversalMethod_select()`.
    `GraphTraversal` | `visitTraversalMethod_select_Pop_String(GremlinParser.TraversalMethod_select_Pop_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_select_Pop_String` labeled alternative in `GremlinParser.traversalMethod_select()`.
    `GraphTraversal` | `visitTraversalMethod_select_Pop_Traversal(GremlinParser.TraversalMethod_select_Pop_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_select_Pop_Traversal` labeled alternative in `GremlinParser.traversalMethod_select()`.
    `GraphTraversal` | `visitTraversalMethod_select_String_String_String(GremlinParser.TraversalMethod_select_String_String_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_select_String_String_String` labeled alternative in `GremlinParser.traversalMethod_select()`.
    `GraphTraversal` | `visitTraversalMethod_select_String(GremlinParser.TraversalMethod_select_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_select_String` labeled alternative in `GremlinParser.traversalMethod_select()`.
    `GraphTraversal` | `visitTraversalMethod_select_Traversal(GremlinParser.TraversalMethod_select_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_select_Traversal` labeled alternative in `GremlinParser.traversalMethod_select()`.
    `GraphTraversal` | `visitTraversalMethod_shortestPath(GremlinParser.TraversalMethod_shortestPathContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_shortestPath()`.
    `GraphTraversal` | `visitTraversalMethod_sideEffect(GremlinParser.TraversalMethod_sideEffectContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_sideEffect()`.
    `GraphTraversal` | `visitTraversalMethod_simplePath(GremlinParser.TraversalMethod_simplePathContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_simplePath()`.
    `GraphTraversal` | `visitTraversalMethod_skip_long(GremlinParser.TraversalMethod_skip_longContext ctx)` Visit a parse tree produced by the `traversalMethod_skip_long` labeled alternative in `GremlinParser.traversalMethod_skip()`.
    `GraphTraversal` | `visitTraversalMethod_skip_Scope_long(GremlinParser.TraversalMethod_skip_Scope_longContext ctx)` Visit a parse tree produced by the `traversalMethod_skip_Scope_long` labeled alternative in `GremlinParser.traversalMethod_skip()`.
    `GraphTraversal` | `visitTraversalMethod_store(GremlinParser.TraversalMethod_storeContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_store()`.
    `GraphTraversal` | `visitTraversalMethod_subgraph(GremlinParser.TraversalMethod_subgraphContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_subgraph()`.
    `GraphTraversal` | `visitTraversalMethod_sum_Empty(GremlinParser.TraversalMethod_sum_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_sum_Empty` labeled alternative in `GremlinParser.traversalMethod_sum()`.
    `GraphTraversal` | `visitTraversalMethod_sum_Scope(GremlinParser.TraversalMethod_sum_ScopeContext ctx)` Visit a parse tree produced by the `traversalMethod_sum_Scope` labeled alternative in `GremlinParser.traversalMethod_sum()`.
    `GraphTraversal` | `visitTraversalMethod_tail_Empty(GremlinParser.TraversalMethod_tail_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_tail_Empty` labeled alternative in `GremlinParser.traversalMethod_tail()`.
    `GraphTraversal` | `visitTraversalMethod_tail_long(GremlinParser.TraversalMethod_tail_longContext ctx)` Visit a parse tree produced by the `traversalMethod_tail_long` labeled alternative in `GremlinParser.traversalMethod_tail()`.
    `GraphTraversal` | `visitTraversalMethod_tail_Scope_long(GremlinParser.TraversalMethod_tail_Scope_longContext ctx)` Visit a parse tree produced by the `traversalMethod_tail_Scope_long` labeled alternative in `GremlinParser.traversalMethod_tail()`.
    `GraphTraversal` | `visitTraversalMethod_tail_Scope(GremlinParser.TraversalMethod_tail_ScopeContext ctx)` Visit a parse tree produced by the `traversalMethod_tail_Scope` labeled alternative in `GremlinParser.traversalMethod_tail()`.
    `GraphTraversal` | `visitTraversalMethod_timeLimit(GremlinParser.TraversalMethod_timeLimitContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_timeLimit()`.
    `GraphTraversal` | `visitTraversalMethod_times(GremlinParser.TraversalMethod_timesContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_times()`.
    `GraphTraversal` | `visitTraversalMethod_to_Direction_String(GremlinParser.TraversalMethod_to_Direction_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_to_Direction_String` labeled alternative in `GremlinParser.traversalMethod_to()`.
    `GraphTraversal` | `visitTraversalMethod_to_String(GremlinParser.TraversalMethod_to_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_to_String` labeled alternative in `GremlinParser.traversalMethod_to()`.
    `GraphTraversal` | `visitTraversalMethod_to_Traversal(GremlinParser.TraversalMethod_to_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_to_Traversal` labeled alternative in `GremlinParser.traversalMethod_to()`.
    `GraphTraversal` | `visitTraversalMethod_toE(GremlinParser.TraversalMethod_toEContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_toE()`.
    `GraphTraversal` | `visitTraversalMethod_toV(GremlinParser.TraversalMethod_toVContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_toV()`.
    `GraphTraversal` | `visitTraversalMethod_tree_Empty(GremlinParser.TraversalMethod_tree_EmptyContext ctx)` Visit a parse tree produced by the `traversalMethod_tree_Empty` labeled alternative in `GremlinParser.traversalMethod_tree()`.
    `GraphTraversal` | `visitTraversalMethod_tree_String(GremlinParser.TraversalMethod_tree_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_tree_String` labeled alternative in `GremlinParser.traversalMethod_tree()`.
    `GraphTraversal` | `visitTraversalMethod_unfold(GremlinParser.TraversalMethod_unfoldContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_unfold()`.
    `GraphTraversal` | `visitTraversalMethod_union(GremlinParser.TraversalMethod_unionContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_union()`.
    `GraphTraversal` | `visitTraversalMethod_until_Predicate(GremlinParser.TraversalMethod_until_PredicateContext ctx)` Visit a parse tree produced by the `traversalMethod_until_Predicate` labeled alternative in `GremlinParser.traversalMethod_until()`.
    `GraphTraversal` | `visitTraversalMethod_until_Traversal(GremlinParser.TraversalMethod_until_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_until_Traversal` labeled alternative in `GremlinParser.traversalMethod_until()`.
    `GraphTraversal` | `visitTraversalMethod_V(GremlinParser.TraversalMethod_VContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_V()`.
    `GraphTraversal` | `visitTraversalMethod_value(GremlinParser.TraversalMethod_valueContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_value()`.
    `GraphTraversal` | `visitTraversalMethod_valueMap_boolean_String(GremlinParser.TraversalMethod_valueMap_boolean_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_valueMap_boolean_String` labeled alternative in `GremlinParser.traversalMethod_valueMap()`.
    `GraphTraversal` | `visitTraversalMethod_valueMap_String(GremlinParser.TraversalMethod_valueMap_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_valueMap_String` labeled alternative in `GremlinParser.traversalMethod_valueMap()`.
    `GraphTraversal` | `visitTraversalMethod_values(GremlinParser.TraversalMethod_valuesContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_values()`.
    `GraphTraversal` | `visitTraversalMethod_where_P(GremlinParser.TraversalMethod_where_PContext ctx)` Visit a parse tree produced by the `traversalMethod_where_P` labeled alternative in `GremlinParser.traversalMethod_where()`.
    `GraphTraversal` | `visitTraversalMethod_where_String_P(GremlinParser.TraversalMethod_where_String_PContext ctx)` Visit a parse tree produced by the `traversalMethod_where_String_P` labeled alternative in `GremlinParser.traversalMethod_where()`.
    `GraphTraversal` | `visitTraversalMethod_where_Traversal(GremlinParser.TraversalMethod_where_TraversalContext ctx)` Visit a parse tree produced by the `traversalMethod_where_Traversal` labeled alternative in `GremlinParser.traversalMethod_where()`.
    `GraphTraversal` | `visitTraversalMethod_with_String_Object(GremlinParser.TraversalMethod_with_String_ObjectContext ctx)` Visit a parse tree produced by the `traversalMethod_with_String_Object` labeled alternative in `GremlinParser.traversalMethod_with()`.
    `GraphTraversal` | `visitTraversalMethod_with_String(GremlinParser.TraversalMethod_with_StringContext ctx)` Visit a parse tree produced by the `traversalMethod_with_String` labeled alternative in `GremlinParser.traversalMethod_with()`.
    `GraphTraversal` | `visitTraversalMethod_write(GremlinParser.TraversalMethod_writeContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod_write()`.
    `Traversal` | `visitTraversalMethod(GremlinParser.TraversalMethodContext ctx)` Visit a parse tree produced by `GremlinParser.traversalMethod()`.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.language.grammar.TraversalRootVisitor

      `visitChainedParentOfGraphTraversal, visitChainedTraversal, visitNestedTraversal, visitRootTraversal, visitTraversalSelfMethod_none, visitTraversalSelfMethod`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.language.grammar.GremlinBaseVisitor

      `visitBooleanLiteral, visitConnectedComponentConstants, visitConnectedComponentStringConstant, visitDateLiteral, visitEmptyQuery, visitFloatLiteral, visitGenericLiteral, visitGenericLiteralCollection, visitGenericLiteralExpr, visitGenericLiteralList, visitGenericLiteralMap, visitGenericLiteralRange, visitGremlinStringConstants_connectedComponentStringConstants_component, visitGremlinStringConstants_connectedComponentStringConstants_edges, visitGremlinStringConstants_connectedComponentStringConstants_propertyName, visitGremlinStringConstants_ioOptionsStringConstants_graphml, visitGremlinStringConstants_ioOptionsStringConstants_graphson, visitGremlinStringConstants_ioOptionsStringConstants_gryo, visitGremlinStringConstants_ioOptionsStringConstants_reader, visitGremlinStringConstants_ioOptionsStringConstants_writer, visitGremlinStringConstants_pageRankStringConstants_edges, visitGremlinStringConstants_pageRankStringConstants_propertyName, visitGremlinStringConstants_pageRankStringConstants_times, visitGremlinStringConstants_peerPressureStringConstants_edges, visitGremlinStringConstants_peerPressureStringConstants_propertyName, visitGremlinStringConstants_peerPressureStringConstants_times, visitGremlinStringConstants_shortestPathStringConstants_distance, visitGremlinStringConstants_shortestPathStringConstants_edges, visitGremlinStringConstants_shortestPathStringConstants_includeEdges, visitGremlinStringConstants_shortestPathStringConstants_maxDistance, visitGremlinStringConstants_shortestPathStringConstants_target, visitGremlinStringConstants_withOptionsStringConstants_all, visitGremlinStringConstants_withOptionsStringConstants_ids, visitGremlinStringConstants_withOptionsStringConstants_indexer, visitGremlinStringConstants_withOptionsStringConstants_keys, visitGremlinStringConstants_withOptionsStringConstants_labels, visitGremlinStringConstants_withOptionsStringConstants_list, visitGremlinStringConstants_withOptionsStringConstants_map, visitGremlinStringConstants_withOptionsStringConstants_none, visitGremlinStringConstants_withOptionsStringConstants_tokens, visitGremlinStringConstants_withOptionsStringConstants_values, visitGremlinStringConstants, visitIntegerLiteral, visitIoOptionsStringConstant, visitIoOptionsStringConstants, visitNestedTraversalExpr, visitNestedTraversalList, visitNullLiteral, visitPageRankStringConstant, visitPageRankStringConstants, visitPeerPressureStringConstant, visitPeerPressureStringConstants, visitQuery, visitQueryList, visitShortestPathStringConstant, visitShortestPathStringConstants, visitStringLiteral, visitStringLiteralExpr, visitStringLiteralList, visitTerminatedTraversal, visitTransactionPart, visitTraversalBiFunction, visitTraversalCardinality, visitTraversalColumn, visitTraversalComparator, visitTraversalDirection, visitTraversalFunction, visitTraversalOperator, visitTraversalOptionParent, visitTraversalOrder, visitTraversalPop, visitTraversalPredicate_between, visitTraversalPredicate_containing, visitTraversalPredicate_endingWith, visitTraversalPredicate_eq, visitTraversalPredicate_gt, visitTraversalPredicate_gte, visitTraversalPredicate_inside, visitTraversalPredicate_lt, visitTraversalPredicate_lte, visitTraversalPredicate_neq, visitTraversalPredicate_not, visitTraversalPredicate_notContaining, visitTraversalPredicate_notEndingWith, visitTraversalPredicate_notStartingWith, visitTraversalPredicate_outside, visitTraversalPredicate_startingWith, visitTraversalPredicate_within, visitTraversalPredicate_without, visitTraversalPredicate, visitTraversalSackMethod, visitTraversalScope, visitTraversalSource, visitTraversalSourceSelfMethod_with, visitTraversalSourceSelfMethod_withBulk, visitTraversalSourceSelfMethod_withPath, visitTraversalSourceSelfMethod_withSack, visitTraversalSourceSelfMethod_withSideEffect, visitTraversalSourceSelfMethod_withStrategies, visitTraversalSourceSelfMethod, visitTraversalSourceSpawnMethod_addE, visitTraversalSourceSpawnMethod_addV, visitTraversalSourceSpawnMethod_E, visitTraversalSourceSpawnMethod_inject, visitTraversalSourceSpawnMethod_io, visitTraversalSourceSpawnMethod_V, visitTraversalSourceSpawnMethod, visitTraversalStrategy, visitTraversalStrategyArgs_EdgeLabelVerificationStrategy, visitTraversalStrategyArgs_PartitionStrategy, visitTraversalStrategyArgs_ProductiveByStrategy, visitTraversalStrategyArgs_ReservedKeysVerificationStrategy, visitTraversalStrategyArgs_SubgraphStrategy, visitTraversalStrategyExpr, visitTraversalStrategyList, visitTraversalTerminalMethod_explain, visitTraversalTerminalMethod_hasNext, visitTraversalTerminalMethod_iterate, visitTraversalTerminalMethod_next, visitTraversalTerminalMethod_toBulkSet, visitTraversalTerminalMethod_toList, visitTraversalTerminalMethod_toSet, visitTraversalTerminalMethod_tryNext, visitTraversalTerminalMethod, visitTraversalToken, visitWithOptionsStringConstant, visitWithOptionsStringConstants`

    - ### Methods inherited from class org.antlr.v4.runtime.tree.AbstractParseTreeVisitor

      `aggregateResult, defaultResult, shouldVisitNextChild, visit, visitChildren, visitErrorNode, visitTerminal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.antlr.v4.runtime.tree.ParseTreeVisitor

      `visit, visitChildren, visitErrorNode, visitTerminal`

- - ### Constructor Detail

    - #### TraversalMethodVisitor

          public TraversalMethodVisitor(GremlinAntlrToJava antlr,
                                        GraphTraversal graphTraversal)

  - ### Method Detail

    - #### visitTraversalMethod

          public Traversal visitTraversalMethod(GremlinParser.TraversalMethodContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_V

          public GraphTraversal visitTraversalMethod_V(GremlinParser.TraversalMethod_VContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_V()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_V` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_V` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_addV_Empty

          public GraphTraversal visitTraversalMethod_addV_Empty(GremlinParser.TraversalMethod_addV_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_addV_Empty` labeled alternative in `GremlinParser.traversalMethod_addV()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_addV_Empty` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_addV_Empty` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_addV_String

          public GraphTraversal visitTraversalMethod_addV_String(GremlinParser.TraversalMethod_addV_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_addV_String` labeled alternative in `GremlinParser.traversalMethod_addV()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_addV_String` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_addV_String` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_addE_Traversal

          public GraphTraversal visitTraversalMethod_addE_Traversal(GremlinParser.TraversalMethod_addE_TraversalContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by the `traversalMethod_addE_Traversal` labeled alternative in `GremlinParser.traversalMethod_addE()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_addE_Traversal` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_addE_Traversal` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_addV_Traversal

          public GraphTraversal visitTraversalMethod_addV_Traversal(GremlinParser.TraversalMethod_addV_TraversalContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by the `traversalMethod_addV_Traversal` labeled alternative in `GremlinParser.traversalMethod_addV()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_addV_Traversal` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_addV_Traversal` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_addE_String

          public GraphTraversal visitTraversalMethod_addE_String(GremlinParser.TraversalMethod_addE_StringContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by the `traversalMethod_addE_String` labeled alternative in `GremlinParser.traversalMethod_addE()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_addE_String` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_addE_String` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_aggregate_String

          public GraphTraversal visitTraversalMethod_aggregate_String(GremlinParser.TraversalMethod_aggregate_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_aggregate_String` labeled alternative in `GremlinParser.traversalMethod_aggregate()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_aggregate_String` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_aggregate_String` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_aggregate_Scope_String

          public GraphTraversal visitTraversalMethod_aggregate_Scope_String(GremlinParser.TraversalMethod_aggregate_Scope_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_aggregate_Scope_String` labeled alternative in `GremlinParser.traversalMethod_aggregate()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_aggregate_Scope_String` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_aggregate_Scope_String` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_and

          public GraphTraversal visitTraversalMethod_and(GremlinParser.TraversalMethod_andContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_and()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_and` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_and` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_as

          public GraphTraversal visitTraversalMethod_as(GremlinParser.TraversalMethod_asContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_as()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_as` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_as` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_barrier_Consumer

          public GraphTraversal visitTraversalMethod_barrier_Consumer(GremlinParser.TraversalMethod_barrier_ConsumerContext ctx)

      Visit a parse tree produced by the `traversalMethod_barrier_Consumer` labeled alternative in `GremlinParser.traversalMethod_barrier()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_barrier_Consumer` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_barrier_Consumer` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_barrier_Empty

          public GraphTraversal visitTraversalMethod_barrier_Empty(GremlinParser.TraversalMethod_barrier_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_barrier_Empty` labeled alternative in `GremlinParser.traversalMethod_barrier()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_barrier_Empty` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_barrier_Empty` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_barrier_int

          public GraphTraversal visitTraversalMethod_barrier_int(GremlinParser.TraversalMethod_barrier_intContext ctx)

      Visit a parse tree produced by the `traversalMethod_barrier_int` labeled alternative in `GremlinParser.traversalMethod_barrier()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_barrier_int` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_barrier_int` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_both

          public GraphTraversal visitTraversalMethod_both(GremlinParser.TraversalMethod_bothContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_both()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_both` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_both` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_bothE

          public GraphTraversal visitTraversalMethod_bothE(GremlinParser.TraversalMethod_bothEContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_bothE()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_bothE` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_bothE` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_bothV

          public GraphTraversal visitTraversalMethod_bothV(GremlinParser.TraversalMethod_bothVContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_bothV()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_bothV` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_bothV` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_branch

          public GraphTraversal visitTraversalMethod_branch(GremlinParser.TraversalMethod_branchContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_branch()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_branch` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_branch` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_by_Comparator

          public GraphTraversal visitTraversalMethod_by_Comparator(GremlinParser.TraversalMethod_by_ComparatorContext ctx)

      Visit a parse tree produced by the `traversalMethod_by_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_by_Comparator` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_by_Comparator` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_by_Empty

          public GraphTraversal visitTraversalMethod_by_Empty(GremlinParser.TraversalMethod_by_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_by_Empty` labeled alternative in `GremlinParser.traversalMethod_by()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_by_Empty` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_by_Empty` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_by_Function

          public GraphTraversal visitTraversalMethod_by_Function(GremlinParser.TraversalMethod_by_FunctionContext ctx)

      Visit a parse tree produced by the `traversalMethod_by_Function` labeled alternative in `GremlinParser.traversalMethod_by()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_by_Function` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_by_Function` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_by_Function_Comparator

          public GraphTraversal visitTraversalMethod_by_Function_Comparator(GremlinParser.TraversalMethod_by_Function_ComparatorContext ctx)

      Visit a parse tree produced by the `traversalMethod_by_Function_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_by_Function_Comparator` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_by_Function_Comparator` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_by_Order

          public GraphTraversal visitTraversalMethod_by_Order(GremlinParser.TraversalMethod_by_OrderContext ctx)

      Visit a parse tree produced by the `traversalMethod_by_Order` labeled alternative in `GremlinParser.traversalMethod_by()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_by_Order` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_by_Order` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_by_String

          public GraphTraversal visitTraversalMethod_by_String(GremlinParser.TraversalMethod_by_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_by_String` labeled alternative in `GremlinParser.traversalMethod_by()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_by_String` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_by_String` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_by_String_Comparator

          public GraphTraversal visitTraversalMethod_by_String_Comparator(GremlinParser.TraversalMethod_by_String_ComparatorContext ctx)

      Visit a parse tree produced by the `traversalMethod_by_String_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_by_String_Comparator` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_by_String_Comparator` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_by_T

          public GraphTraversal visitTraversalMethod_by_T(GremlinParser.TraversalMethod_by_TContext ctx)

      Visit a parse tree produced by the `traversalMethod_by_T` labeled alternative in `GremlinParser.traversalMethod_by()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_by_T` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_by_T` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_by_Traversal

          public GraphTraversal visitTraversalMethod_by_Traversal(GremlinParser.TraversalMethod_by_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_by_Traversal` labeled alternative in `GremlinParser.traversalMethod_by()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_by_Traversal` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_by_Traversal` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_by_Traversal_Comparator

          public GraphTraversal visitTraversalMethod_by_Traversal_Comparator(GremlinParser.TraversalMethod_by_Traversal_ComparatorContext ctx)

      Visit a parse tree produced by the `traversalMethod_by_Traversal_Comparator` labeled alternative in `GremlinParser.traversalMethod_by()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_by_Traversal_Comparator` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_by_Traversal_Comparator` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_cap

          public GraphTraversal visitTraversalMethod_cap(GremlinParser.TraversalMethod_capContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_cap()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_cap` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_cap` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_choose_Function

          public GraphTraversal visitTraversalMethod_choose_Function(GremlinParser.TraversalMethod_choose_FunctionContext ctx)

      Visit a parse tree produced by the `traversalMethod_choose_Function` labeled alternative in `GremlinParser.traversalMethod_choose()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_choose_Function` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_choose_Function` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_choose_Predicate_Traversal

          public GraphTraversal visitTraversalMethod_choose_Predicate_Traversal(GremlinParser.TraversalMethod_choose_Predicate_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_choose_Predicate_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_choose_Predicate_Traversal` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_choose_Predicate_Traversal` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_choose_Predicate_Traversal_Traversal

          public GraphTraversal visitTraversalMethod_choose_Predicate_Traversal_Traversal(GremlinParser.TraversalMethod_choose_Predicate_Traversal_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_choose_Predicate_Traversal_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_choose_Predicate_Traversal_Traversal` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_choose_Predicate_Traversal_Traversal` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_choose_Traversal

          public GraphTraversal visitTraversalMethod_choose_Traversal(GremlinParser.TraversalMethod_choose_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_choose_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_choose_Traversal` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_choose_Traversal` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_choose_Traversal_Traversal

          public GraphTraversal visitTraversalMethod_choose_Traversal_Traversal(GremlinParser.TraversalMethod_choose_Traversal_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_choose_Traversal_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_choose_Traversal_Traversal` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_choose_Traversal_Traversal` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_choose_Traversal_Traversal_Traversal

          public GraphTraversal visitTraversalMethod_choose_Traversal_Traversal_Traversal(GremlinParser.TraversalMethod_choose_Traversal_Traversal_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_choose_Traversal_Traversal_Traversal` labeled alternative in `GremlinParser.traversalMethod_choose()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_choose_Traversal_Traversal_Traversal` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_choose_Traversal_Traversal_Traversal` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_coalesce

          public GraphTraversal visitTraversalMethod_coalesce(GremlinParser.TraversalMethod_coalesceContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_coalesce()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_coalesce` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_coalesce` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_coin

          public GraphTraversal visitTraversalMethod_coin(GremlinParser.TraversalMethod_coinContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_coin()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_coin` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_coin` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_constant

          public GraphTraversal visitTraversalMethod_constant(GremlinParser.TraversalMethod_constantContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_constant()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_constant` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_constant` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_count_Empty

          public GraphTraversal visitTraversalMethod_count_Empty(GremlinParser.TraversalMethod_count_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_count_Empty` labeled alternative in `GremlinParser.traversalMethod_count()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_count_Empty` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_count_Empty` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_count_Scope

          public GraphTraversal visitTraversalMethod_count_Scope(GremlinParser.TraversalMethod_count_ScopeContext ctx)

      Visit a parse tree produced by the `traversalMethod_count_Scope` labeled alternative in `GremlinParser.traversalMethod_count()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_count_Scope` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_count_Scope` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_cyclicPath

          public GraphTraversal visitTraversalMethod_cyclicPath(GremlinParser.TraversalMethod_cyclicPathContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_cyclicPath()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_cyclicPath` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_cyclicPath` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_dedup_Scope_String

          public GraphTraversal visitTraversalMethod_dedup_Scope_String(GremlinParser.TraversalMethod_dedup_Scope_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_dedup_Scope_String` labeled alternative in `GremlinParser.traversalMethod_dedup()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_dedup_Scope_String` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_dedup_Scope_String` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_dedup_String

          public GraphTraversal visitTraversalMethod_dedup_String(GremlinParser.TraversalMethod_dedup_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_dedup_String` labeled alternative in `GremlinParser.traversalMethod_dedup()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_dedup_String` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_dedup_String` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_drop

          public GraphTraversal visitTraversalMethod_drop(GremlinParser.TraversalMethod_dropContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_drop()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_drop` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_drop` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_emit_Empty

          public GraphTraversal visitTraversalMethod_emit_Empty(GremlinParser.TraversalMethod_emit_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_emit_Empty` labeled alternative in `GremlinParser.traversalMethod_emit()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_emit_Empty` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_emit_Empty` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_emit_Predicate

          public GraphTraversal visitTraversalMethod_emit_Predicate(GremlinParser.TraversalMethod_emit_PredicateContext ctx)

      Visit a parse tree produced by the `traversalMethod_emit_Predicate` labeled alternative in `GremlinParser.traversalMethod_emit()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_emit_Predicate` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_emit_Predicate` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_emit_Traversal

          public GraphTraversal visitTraversalMethod_emit_Traversal(GremlinParser.TraversalMethod_emit_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_emit_Traversal` labeled alternative in `GremlinParser.traversalMethod_emit()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_emit_Traversal` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_emit_Traversal` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_filter_Predicate

          public GraphTraversal visitTraversalMethod_filter_Predicate(GremlinParser.TraversalMethod_filter_PredicateContext ctx)

      Visit a parse tree produced by the `traversalMethod_filter_Predicate` labeled alternative in `GremlinParser.traversalMethod_filter()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_filter_Predicate` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_filter_Predicate` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_filter_Traversal

          public GraphTraversal visitTraversalMethod_filter_Traversal(GremlinParser.TraversalMethod_filter_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_filter_Traversal` labeled alternative in `GremlinParser.traversalMethod_filter()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_filter_Traversal` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_filter_Traversal` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_flatMap

          public GraphTraversal visitTraversalMethod_flatMap(GremlinParser.TraversalMethod_flatMapContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_flatMap()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_flatMap` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_flatMap` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_fold_Empty

          public GraphTraversal visitTraversalMethod_fold_Empty(GremlinParser.TraversalMethod_fold_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_fold_Empty` labeled alternative in `GremlinParser.traversalMethod_fold()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_fold_Empty` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_fold_Empty` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_fold_Object_BiFunction

          public GraphTraversal visitTraversalMethod_fold_Object_BiFunction(GremlinParser.TraversalMethod_fold_Object_BiFunctionContext ctx)

      Visit a parse tree produced by the `traversalMethod_fold_Object_BiFunction` labeled alternative in `GremlinParser.traversalMethod_fold()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_fold_Object_BiFunction` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_fold_Object_BiFunction` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_from_String

          public GraphTraversal visitTraversalMethod_from_String(GremlinParser.TraversalMethod_from_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_from_String` labeled alternative in `GremlinParser.traversalMethod_from()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_from_String` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_from_String` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_from_Traversal

          public GraphTraversal visitTraversalMethod_from_Traversal(GremlinParser.TraversalMethod_from_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_from_Traversal` labeled alternative in `GremlinParser.traversalMethod_from()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_from_Traversal` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_from_Traversal` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_groupCount_Empty

          public GraphTraversal visitTraversalMethod_groupCount_Empty(GremlinParser.TraversalMethod_groupCount_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_groupCount_Empty` labeled alternative in `GremlinParser.traversalMethod_groupCount()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_groupCount_Empty` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_groupCount_Empty` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_groupCount_String

          public GraphTraversal visitTraversalMethod_groupCount_String(GremlinParser.TraversalMethod_groupCount_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_groupCount_String` labeled alternative in `GremlinParser.traversalMethod_groupCount()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_groupCount_String` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_groupCount_String` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_group_Empty

          public GraphTraversal visitTraversalMethod_group_Empty(GremlinParser.TraversalMethod_group_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_group_Empty` labeled alternative in `GremlinParser.traversalMethod_group()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_group_Empty` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_group_Empty` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_group_String

          public GraphTraversal visitTraversalMethod_group_String(GremlinParser.TraversalMethod_group_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_group_String` labeled alternative in `GremlinParser.traversalMethod_group()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_group_String` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_group_String` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_hasId_Object_Object

          public GraphTraversal visitTraversalMethod_hasId_Object_Object(GremlinParser.TraversalMethod_hasId_Object_ObjectContext ctx)

      Visit a parse tree produced by the `traversalMethod_hasId_Object_Object` labeled alternative in `GremlinParser.traversalMethod_hasId()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_hasId_Object_Object` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_hasId_Object_Object` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_hasId_P

          public GraphTraversal visitTraversalMethod_hasId_P(GremlinParser.TraversalMethod_hasId_PContext ctx)

      Visit a parse tree produced by the `traversalMethod_hasId_P` labeled alternative in `GremlinParser.traversalMethod_hasId()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_hasId_P` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_hasId_P` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_hasKey_P

          public GraphTraversal visitTraversalMethod_hasKey_P(GremlinParser.TraversalMethod_hasKey_PContext ctx)

      Visit a parse tree produced by the `traversalMethod_hasKey_P` labeled alternative in `GremlinParser.traversalMethod_hasKey()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_hasKey_P` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_hasKey_P` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_hasKey_String_String

          public GraphTraversal visitTraversalMethod_hasKey_String_String(GremlinParser.TraversalMethod_hasKey_String_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_hasKey_String_String` labeled alternative in `GremlinParser.traversalMethod_hasKey()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_hasKey_String_String` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_hasKey_String_String` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_hasLabel_P

          public GraphTraversal visitTraversalMethod_hasLabel_P(GremlinParser.TraversalMethod_hasLabel_PContext ctx)

      Visit a parse tree produced by the `traversalMethod_hasLabel_P` labeled alternative in `GremlinParser.traversalMethod_hasLabel()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_hasLabel_P` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_hasLabel_P` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_hasLabel_String_String

          public GraphTraversal visitTraversalMethod_hasLabel_String_String(GremlinParser.TraversalMethod_hasLabel_String_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_hasLabel_String_String` labeled alternative in `GremlinParser.traversalMethod_hasLabel()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_hasLabel_String_String` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_hasLabel_String_String` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_hasNot

          public GraphTraversal visitTraversalMethod_hasNot(GremlinParser.TraversalMethod_hasNotContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_hasNot()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_hasNot` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_hasNot` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_hasValue_Object_Object

          public GraphTraversal visitTraversalMethod_hasValue_Object_Object(GremlinParser.TraversalMethod_hasValue_Object_ObjectContext ctx)

      Visit a parse tree produced by the `traversalMethod_hasValue_Object_Object` labeled alternative in `GremlinParser.traversalMethod_hasValue()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_hasValue_Object_Object` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_hasValue_Object_Object` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_hasValue_P

          public GraphTraversal visitTraversalMethod_hasValue_P(GremlinParser.TraversalMethod_hasValue_PContext ctx)

      Visit a parse tree produced by the `traversalMethod_hasValue_P` labeled alternative in `GremlinParser.traversalMethod_hasValue()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_hasValue_P` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_hasValue_P` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_has_String

          public GraphTraversal visitTraversalMethod_has_String(GremlinParser.TraversalMethod_has_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_has_String` labeled alternative in `GremlinParser.traversalMethod_has()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_has_String` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_has_String` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_has_String_Object

          public GraphTraversal visitTraversalMethod_has_String_Object(GremlinParser.TraversalMethod_has_String_ObjectContext ctx)

      Visit a parse tree produced by the `traversalMethod_has_String_Object` labeled alternative in `GremlinParser.traversalMethod_has()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_has_String_Object` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_has_String_Object` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_has_String_P

          public GraphTraversal visitTraversalMethod_has_String_P(GremlinParser.TraversalMethod_has_String_PContext ctx)

      Visit a parse tree produced by the `traversalMethod_has_String_P` labeled alternative in `GremlinParser.traversalMethod_has()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_has_String_P` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_has_String_P` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_has_String_String_Object

          public GraphTraversal visitTraversalMethod_has_String_String_Object(GremlinParser.TraversalMethod_has_String_String_ObjectContext ctx)

      Visit a parse tree produced by the `traversalMethod_has_String_String_Object` labeled alternative in `GremlinParser.traversalMethod_has()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_has_String_String_Object` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_has_String_String_Object` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_has_String_String_P

          public GraphTraversal visitTraversalMethod_has_String_String_P(GremlinParser.TraversalMethod_has_String_String_PContext ctx)

      Visit a parse tree produced by the `traversalMethod_has_String_String_P` labeled alternative in `GremlinParser.traversalMethod_has()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_has_String_String_P` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_has_String_String_P` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_has_String_Traversal

          public GraphTraversal visitTraversalMethod_has_String_Traversal(GremlinParser.TraversalMethod_has_String_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_has_String_Traversal` labeled alternative in `GremlinParser.traversalMethod_has()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_has_String_Traversal` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_has_String_Traversal` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_has_T_Object

          public GraphTraversal visitTraversalMethod_has_T_Object(GremlinParser.TraversalMethod_has_T_ObjectContext ctx)

      Visit a parse tree produced by the `traversalMethod_has_T_Object` labeled alternative in `GremlinParser.traversalMethod_has()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_has_T_Object` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_has_T_Object` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_has_T_P

          public GraphTraversal visitTraversalMethod_has_T_P(GremlinParser.TraversalMethod_has_T_PContext ctx)

      Visit a parse tree produced by the `traversalMethod_has_T_P` labeled alternative in `GremlinParser.traversalMethod_has()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_has_T_P` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_has_T_P` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_has_T_Traversal

          public GraphTraversal visitTraversalMethod_has_T_Traversal(GremlinParser.TraversalMethod_has_T_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_has_T_Traversal` labeled alternative in `GremlinParser.traversalMethod_has()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_has_T_Traversal` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_has_T_Traversal` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_id

          public GraphTraversal visitTraversalMethod_id(GremlinParser.TraversalMethod_idContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_id()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_id` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_id` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_identity

          public GraphTraversal visitTraversalMethod_identity(GremlinParser.TraversalMethod_identityContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_identity()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_identity` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_identity` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_in

          public GraphTraversal visitTraversalMethod_in(GremlinParser.TraversalMethod_inContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_in()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_in` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_in` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_inE

          public GraphTraversal visitTraversalMethod_inE(GremlinParser.TraversalMethod_inEContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_inE()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_inE` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_inE` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_inV

          public GraphTraversal visitTraversalMethod_inV(GremlinParser.TraversalMethod_inVContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_inV()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_inV` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_inV` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_inject

          public GraphTraversal visitTraversalMethod_inject(GremlinParser.TraversalMethod_injectContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_inject()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_inject` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_inject` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_index

          public GraphTraversal visitTraversalMethod_index(GremlinParser.TraversalMethod_indexContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.traversalMethod_index()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_index` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_index` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_is_Object

          public GraphTraversal visitTraversalMethod_is_Object(GremlinParser.TraversalMethod_is_ObjectContext ctx)

      Visit a parse tree produced by the `traversalMethod_is_Object` labeled alternative in `GremlinParser.traversalMethod_is()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_is_Object` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_is_Object` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_is_P

          public GraphTraversal visitTraversalMethod_is_P(GremlinParser.TraversalMethod_is_PContext ctx)

      Visit a parse tree produced by the `traversalMethod_is_P` labeled alternative in `GremlinParser.traversalMethod_is()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_is_P` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_is_P` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_key

          public GraphTraversal visitTraversalMethod_key(GremlinParser.TraversalMethod_keyContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_key()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_key` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_key` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_label

          public GraphTraversal visitTraversalMethod_label(GremlinParser.TraversalMethod_labelContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_label()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_label` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_label` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_limit_Scope_long

          public GraphTraversal visitTraversalMethod_limit_Scope_long(GremlinParser.TraversalMethod_limit_Scope_longContext ctx)

      Visit a parse tree produced by the `traversalMethod_limit_Scope_long` labeled alternative in `GremlinParser.traversalMethod_limit()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_limit_Scope_long` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_limit_Scope_long` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_limit_long

          public GraphTraversal visitTraversalMethod_limit_long(GremlinParser.TraversalMethod_limit_longContext ctx)

      Visit a parse tree produced by the `traversalMethod_limit_long` labeled alternative in `GremlinParser.traversalMethod_limit()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_limit_long` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_limit_long` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_local

          public GraphTraversal visitTraversalMethod_local(GremlinParser.TraversalMethod_localContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_local()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_local` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_local` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_loops_Empty

          public GraphTraversal visitTraversalMethod_loops_Empty(GremlinParser.TraversalMethod_loops_EmptyContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by the `traversalMethod_loops_Empty` labeled alternative in `GremlinParser.traversalMethod_loops()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_loops_Empty` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_loops_Empty` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_loops_String

          public GraphTraversal visitTraversalMethod_loops_String(GremlinParser.TraversalMethod_loops_StringContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by the `traversalMethod_loops_String` labeled alternative in `GremlinParser.traversalMethod_loops()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_loops_String` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_loops_String` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_repeat_String_Traversal

          public GraphTraversal visitTraversalMethod_repeat_String_Traversal(GremlinParser.TraversalMethod_repeat_String_TraversalContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by the `traversalMethod_repeat_String_Traversal` labeled alternative in `GremlinParser.traversalMethod_repeat()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_repeat_String_Traversal` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_repeat_String_Traversal` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_repeat_Traversal

          public GraphTraversal visitTraversalMethod_repeat_Traversal(GremlinParser.TraversalMethod_repeat_TraversalContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by the `traversalMethod_repeat_Traversal` labeled alternative in `GremlinParser.traversalMethod_repeat()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_repeat_Traversal` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_repeat_Traversal` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_read

          public GraphTraversal visitTraversalMethod_read(GremlinParser.TraversalMethod_readContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.traversalMethod_read()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_read` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_read` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_write

          public GraphTraversal visitTraversalMethod_write(GremlinParser.TraversalMethod_writeContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.traversalMethod_write()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_write` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_write` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_with_String

          public GraphTraversal visitTraversalMethod_with_String(GremlinParser.TraversalMethod_with_StringContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by the `traversalMethod_with_String` labeled alternative in `GremlinParser.traversalMethod_with()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_with_String` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_with_String` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_with_String_Object

          public GraphTraversal visitTraversalMethod_with_String_Object(GremlinParser.TraversalMethod_with_String_ObjectContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by the `traversalMethod_with_String_Object` labeled alternative in `GremlinParser.traversalMethod_with()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_with_String_Object` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_with_String_Object` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_shortestPath

          public GraphTraversal visitTraversalMethod_shortestPath(GremlinParser.TraversalMethod_shortestPathContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.traversalMethod_shortestPath()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_shortestPath` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_shortestPath` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_map

          public GraphTraversal visitTraversalMethod_map(GremlinParser.TraversalMethod_mapContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_map()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_map` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_map` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_match

          public GraphTraversal visitTraversalMethod_match(GremlinParser.TraversalMethod_matchContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_match()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_match` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_match` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_max_Empty

          public GraphTraversal visitTraversalMethod_max_Empty(GremlinParser.TraversalMethod_max_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_max_Empty` labeled alternative in `GremlinParser.traversalMethod_max()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_max_Empty` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_max_Empty` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_max_Scope

          public GraphTraversal visitTraversalMethod_max_Scope(GremlinParser.TraversalMethod_max_ScopeContext ctx)

      Visit a parse tree produced by the `traversalMethod_max_Scope` labeled alternative in `GremlinParser.traversalMethod_max()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_max_Scope` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_max_Scope` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_mean_Empty

          public GraphTraversal visitTraversalMethod_mean_Empty(GremlinParser.TraversalMethod_mean_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_mean_Empty` labeled alternative in `GremlinParser.traversalMethod_mean()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_mean_Empty` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_mean_Empty` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_mean_Scope

          public GraphTraversal visitTraversalMethod_mean_Scope(GremlinParser.TraversalMethod_mean_ScopeContext ctx)

      Visit a parse tree produced by the `traversalMethod_mean_Scope` labeled alternative in `GremlinParser.traversalMethod_mean()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_mean_Scope` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_mean_Scope` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_min_Empty

          public GraphTraversal visitTraversalMethod_min_Empty(GremlinParser.TraversalMethod_min_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_min_Empty` labeled alternative in `GremlinParser.traversalMethod_min()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_min_Empty` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_min_Empty` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_min_Scope

          public GraphTraversal visitTraversalMethod_min_Scope(GremlinParser.TraversalMethod_min_ScopeContext ctx)

      Visit a parse tree produced by the `traversalMethod_min_Scope` labeled alternative in `GremlinParser.traversalMethod_min()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_min_Scope` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_min_Scope` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_not

          public GraphTraversal visitTraversalMethod_not(GremlinParser.TraversalMethod_notContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_not()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_not` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_not` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_option_Object_Traversal

          public GraphTraversal visitTraversalMethod_option_Object_Traversal(GremlinParser.TraversalMethod_option_Object_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_option_Object_Traversal` labeled alternative in `GremlinParser.traversalMethod_option()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_option_Object_Traversal` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_option_Object_Traversal` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_option_Traversal

          public GraphTraversal visitTraversalMethod_option_Traversal(GremlinParser.TraversalMethod_option_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_option_Traversal` labeled alternative in `GremlinParser.traversalMethod_option()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_option_Traversal` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_option_Traversal` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_optional

          public GraphTraversal visitTraversalMethod_optional(GremlinParser.TraversalMethod_optionalContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_optional()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_optional` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_optional` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_or

          public GraphTraversal visitTraversalMethod_or(GremlinParser.TraversalMethod_orContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_or()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_or` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_or` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_order_Empty

          public GraphTraversal visitTraversalMethod_order_Empty(GremlinParser.TraversalMethod_order_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_order_Empty` labeled alternative in `GremlinParser.traversalMethod_order()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_order_Empty` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_order_Empty` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_order_Scope

          public GraphTraversal visitTraversalMethod_order_Scope(GremlinParser.TraversalMethod_order_ScopeContext ctx)

      Visit a parse tree produced by the `traversalMethod_order_Scope` labeled alternative in `GremlinParser.traversalMethod_order()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_order_Scope` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_order_Scope` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_otherV

          public GraphTraversal visitTraversalMethod_otherV(GremlinParser.TraversalMethod_otherVContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_otherV()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_otherV` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_otherV` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_out

          public GraphTraversal visitTraversalMethod_out(GremlinParser.TraversalMethod_outContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_out()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_out` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_out` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_outE

          public GraphTraversal visitTraversalMethod_outE(GremlinParser.TraversalMethod_outEContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_outE()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_outE` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_outE` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_outV

          public GraphTraversal visitTraversalMethod_outV(GremlinParser.TraversalMethod_outVContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_outV()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_outV` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_outV` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_connectedComponent

          public Traversal visitTraversalMethod_connectedComponent(GremlinParser.TraversalMethod_connectedComponentContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by `GremlinParser.traversalMethod_connectedComponent()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_connectedComponent` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_connectedComponent` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_pageRank_Empty

          public GraphTraversal visitTraversalMethod_pageRank_Empty(GremlinParser.TraversalMethod_pageRank_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_pageRank_Empty` labeled alternative in `GremlinParser.traversalMethod_pageRank()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_pageRank_Empty` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_pageRank_Empty` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_pageRank_double

          public GraphTraversal visitTraversalMethod_pageRank_double(GremlinParser.TraversalMethod_pageRank_doubleContext ctx)

      Visit a parse tree produced by the `traversalMethod_pageRank_double` labeled alternative in `GremlinParser.traversalMethod_pageRank()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_pageRank_double` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_pageRank_double` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_path

          public GraphTraversal visitTraversalMethod_path(GremlinParser.TraversalMethod_pathContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_path()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_path` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_path` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_peerPressure

          public GraphTraversal visitTraversalMethod_peerPressure(GremlinParser.TraversalMethod_peerPressureContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_peerPressure()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_peerPressure` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_peerPressure` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_profile_Empty

          public GraphTraversal visitTraversalMethod_profile_Empty(GremlinParser.TraversalMethod_profile_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_profile_Empty` labeled alternative in `GremlinParser.traversalMethod_profile()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_profile_Empty` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_profile_Empty` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_profile_String

          public GraphTraversal visitTraversalMethod_profile_String(GremlinParser.TraversalMethod_profile_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_profile_String` labeled alternative in `GremlinParser.traversalMethod_profile()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_profile_String` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_profile_String` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_project

          public GraphTraversal visitTraversalMethod_project(GremlinParser.TraversalMethod_projectContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_project()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_project` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_project` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_properties

          public GraphTraversal visitTraversalMethod_properties(GremlinParser.TraversalMethod_propertiesContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_properties()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_properties` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_properties` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_elementMap

          public GraphTraversal visitTraversalMethod_elementMap(GremlinParser.TraversalMethod_elementMapContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_elementMap()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_elementMap` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_elementMap` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_propertyMap

          public GraphTraversal visitTraversalMethod_propertyMap(GremlinParser.TraversalMethod_propertyMapContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_propertyMap()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_propertyMap` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_propertyMap` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_property_Cardinality_Object_Object_Object

          public GraphTraversal visitTraversalMethod_property_Cardinality_Object_Object_Object(GremlinParser.TraversalMethod_property_Cardinality_Object_Object_ObjectContext ctx)

      Visit a parse tree produced by the `traversalMethod_property_Cardinality_Object_Object_Object` labeled alternative in `GremlinParser.traversalMethod_property()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_property_Cardinality_Object_Object_Object` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_property_Cardinality_Object_Object_Object` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_property_Object_Object_Object

          public GraphTraversal visitTraversalMethod_property_Object_Object_Object(GremlinParser.TraversalMethod_property_Object_Object_ObjectContext ctx)

      Visit a parse tree produced by the `traversalMethod_property_Object_Object_Object` labeled alternative in `GremlinParser.traversalMethod_property()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_property_Object_Object_Object` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_property_Object_Object_Object` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_range_Scope_long_long

          public GraphTraversal visitTraversalMethod_range_Scope_long_long(GremlinParser.TraversalMethod_range_Scope_long_longContext ctx)

      Visit a parse tree produced by the `traversalMethod_range_Scope_long_long` labeled alternative in `GremlinParser.traversalMethod_range()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_range_Scope_long_long` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_range_Scope_long_long` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_range_long_long

          public GraphTraversal visitTraversalMethod_range_long_long(GremlinParser.TraversalMethod_range_long_longContext ctx)

      Visit a parse tree produced by the `traversalMethod_range_long_long` labeled alternative in `GremlinParser.traversalMethod_range()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_range_long_long` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_range_long_long` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_sack_BiFunction

          public GraphTraversal visitTraversalMethod_sack_BiFunction(GremlinParser.TraversalMethod_sack_BiFunctionContext ctx)

      Visit a parse tree produced by the `traversalMethod_sack_BiFunction` labeled alternative in `GremlinParser.traversalMethod_sack()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_sack_BiFunction` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_sack_BiFunction` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_sack_Empty

          public GraphTraversal visitTraversalMethod_sack_Empty(GremlinParser.TraversalMethod_sack_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_sack_Empty` labeled alternative in `GremlinParser.traversalMethod_sack()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_sack_Empty` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_sack_Empty` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_sample_Scope_int

          public GraphTraversal visitTraversalMethod_sample_Scope_int(GremlinParser.TraversalMethod_sample_Scope_intContext ctx)

      Visit a parse tree produced by the `traversalMethod_sample_Scope_int` labeled alternative in `GremlinParser.traversalMethod_sample()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_sample_Scope_int` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_sample_Scope_int` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_sample_int

          public GraphTraversal visitTraversalMethod_sample_int(GremlinParser.TraversalMethod_sample_intContext ctx)

      Visit a parse tree produced by the `traversalMethod_sample_int` labeled alternative in `GremlinParser.traversalMethod_sample()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_sample_int` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_sample_int` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_select_Column

          public GraphTraversal visitTraversalMethod_select_Column(GremlinParser.TraversalMethod_select_ColumnContext ctx)

      Visit a parse tree produced by the `traversalMethod_select_Column` labeled alternative in `GremlinParser.traversalMethod_select()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_select_Column` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_select_Column` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_select_Pop_String

          public GraphTraversal visitTraversalMethod_select_Pop_String(GremlinParser.TraversalMethod_select_Pop_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_select_Pop_String` labeled alternative in `GremlinParser.traversalMethod_select()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_select_Pop_String` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_select_Pop_String` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_select_Pop_String_String_String

          public GraphTraversal visitTraversalMethod_select_Pop_String_String_String(GremlinParser.TraversalMethod_select_Pop_String_String_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_select_Pop_String_String_String` labeled alternative in `GremlinParser.traversalMethod_select()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_select_Pop_String_String_String` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_select_Pop_String_String_String` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_select_Pop_Traversal

          public GraphTraversal visitTraversalMethod_select_Pop_Traversal(GremlinParser.TraversalMethod_select_Pop_TraversalContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by the `traversalMethod_select_Pop_Traversal` labeled alternative in `GremlinParser.traversalMethod_select()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_select_Pop_Traversal` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_select_Pop_Traversal` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_select_String

          public GraphTraversal visitTraversalMethod_select_String(GremlinParser.TraversalMethod_select_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_select_String` labeled alternative in `GremlinParser.traversalMethod_select()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_select_String` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_select_String` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_select_String_String_String

          public GraphTraversal visitTraversalMethod_select_String_String_String(GremlinParser.TraversalMethod_select_String_String_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_select_String_String_String` labeled alternative in `GremlinParser.traversalMethod_select()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_select_String_String_String` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_select_String_String_String` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_select_Traversal

          public GraphTraversal visitTraversalMethod_select_Traversal(GremlinParser.TraversalMethod_select_TraversalContext ctx)

      Description copied from class: `GremlinBaseVisitor`
      Visit a parse tree produced by the `traversalMethod_select_Traversal` labeled alternative in `GremlinParser.traversalMethod_select()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_select_Traversal` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_select_Traversal` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_sideEffect

          public GraphTraversal visitTraversalMethod_sideEffect(GremlinParser.TraversalMethod_sideEffectContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_sideEffect()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_sideEffect` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_sideEffect` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_simplePath

          public GraphTraversal visitTraversalMethod_simplePath(GremlinParser.TraversalMethod_simplePathContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_simplePath()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_simplePath` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_simplePath` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_skip_Scope_long

          public GraphTraversal visitTraversalMethod_skip_Scope_long(GremlinParser.TraversalMethod_skip_Scope_longContext ctx)

      Visit a parse tree produced by the `traversalMethod_skip_Scope_long` labeled alternative in `GremlinParser.traversalMethod_skip()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_skip_Scope_long` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_skip_Scope_long` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_skip_long

          public GraphTraversal visitTraversalMethod_skip_long(GremlinParser.TraversalMethod_skip_longContext ctx)

      Visit a parse tree produced by the `traversalMethod_skip_long` labeled alternative in `GremlinParser.traversalMethod_skip()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_skip_long` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_skip_long` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_store

          public GraphTraversal visitTraversalMethod_store(GremlinParser.TraversalMethod_storeContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_store()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_store` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_store` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_subgraph

          public GraphTraversal visitTraversalMethod_subgraph(GremlinParser.TraversalMethod_subgraphContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_subgraph()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_subgraph` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_subgraph` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_sum_Empty

          public GraphTraversal visitTraversalMethod_sum_Empty(GremlinParser.TraversalMethod_sum_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_sum_Empty` labeled alternative in `GremlinParser.traversalMethod_sum()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_sum_Empty` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_sum_Empty` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_sum_Scope

          public GraphTraversal visitTraversalMethod_sum_Scope(GremlinParser.TraversalMethod_sum_ScopeContext ctx)

      Visit a parse tree produced by the `traversalMethod_sum_Scope` labeled alternative in `GremlinParser.traversalMethod_sum()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_sum_Scope` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_sum_Scope` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_tail_Empty

          public GraphTraversal visitTraversalMethod_tail_Empty(GremlinParser.TraversalMethod_tail_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_tail_Empty` labeled alternative in `GremlinParser.traversalMethod_tail()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_tail_Empty` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_tail_Empty` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_tail_Scope

          public GraphTraversal visitTraversalMethod_tail_Scope(GremlinParser.TraversalMethod_tail_ScopeContext ctx)

      Visit a parse tree produced by the `traversalMethod_tail_Scope` labeled alternative in `GremlinParser.traversalMethod_tail()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_tail_Scope` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_tail_Scope` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_tail_Scope_long

          public GraphTraversal visitTraversalMethod_tail_Scope_long(GremlinParser.TraversalMethod_tail_Scope_longContext ctx)

      Visit a parse tree produced by the `traversalMethod_tail_Scope_long` labeled alternative in `GremlinParser.traversalMethod_tail()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_tail_Scope_long` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_tail_Scope_long` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_tail_long

          public GraphTraversal visitTraversalMethod_tail_long(GremlinParser.TraversalMethod_tail_longContext ctx)

      Visit a parse tree produced by the `traversalMethod_tail_long` labeled alternative in `GremlinParser.traversalMethod_tail()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_tail_long` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_tail_long` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_timeLimit

          public GraphTraversal visitTraversalMethod_timeLimit(GremlinParser.TraversalMethod_timeLimitContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_timeLimit()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_timeLimit` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_timeLimit` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_times

          public GraphTraversal visitTraversalMethod_times(GremlinParser.TraversalMethod_timesContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_times()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_times` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_times` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_toE

          public GraphTraversal visitTraversalMethod_toE(GremlinParser.TraversalMethod_toEContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_toE()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_toE` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_toE` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_toV

          public GraphTraversal visitTraversalMethod_toV(GremlinParser.TraversalMethod_toVContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_toV()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_toV` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_toV` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_to_Direction_String

          public GraphTraversal visitTraversalMethod_to_Direction_String(GremlinParser.TraversalMethod_to_Direction_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_to_Direction_String` labeled alternative in `GremlinParser.traversalMethod_to()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_to_Direction_String` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_to_Direction_String` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_to_String

          public GraphTraversal visitTraversalMethod_to_String(GremlinParser.TraversalMethod_to_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_to_String` labeled alternative in `GremlinParser.traversalMethod_to()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_to_String` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_to_String` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_to_Traversal

          public GraphTraversal visitTraversalMethod_to_Traversal(GremlinParser.TraversalMethod_to_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_to_Traversal` labeled alternative in `GremlinParser.traversalMethod_to()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_to_Traversal` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_to_Traversal` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_tree_Empty

          public GraphTraversal visitTraversalMethod_tree_Empty(GremlinParser.TraversalMethod_tree_EmptyContext ctx)

      Visit a parse tree produced by the `traversalMethod_tree_Empty` labeled alternative in `GremlinParser.traversalMethod_tree()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_tree_Empty` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_tree_Empty` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_tree_String

          public GraphTraversal visitTraversalMethod_tree_String(GremlinParser.TraversalMethod_tree_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_tree_String` labeled alternative in `GremlinParser.traversalMethod_tree()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_tree_String` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_tree_String` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_unfold

          public GraphTraversal visitTraversalMethod_unfold(GremlinParser.TraversalMethod_unfoldContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_unfold()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_unfold` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_unfold` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_union

          public GraphTraversal visitTraversalMethod_union(GremlinParser.TraversalMethod_unionContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_union()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_union` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_union` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_until_Predicate

          public GraphTraversal visitTraversalMethod_until_Predicate(GremlinParser.TraversalMethod_until_PredicateContext ctx)

      Visit a parse tree produced by the `traversalMethod_until_Predicate` labeled alternative in `GremlinParser.traversalMethod_until()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_until_Predicate` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_until_Predicate` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_until_Traversal

          public GraphTraversal visitTraversalMethod_until_Traversal(GremlinParser.TraversalMethod_until_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_until_Traversal` labeled alternative in `GremlinParser.traversalMethod_until()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_until_Traversal` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_until_Traversal` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_value

          public GraphTraversal visitTraversalMethod_value(GremlinParser.TraversalMethod_valueContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_value()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_value` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_value` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_valueMap_String

          public GraphTraversal visitTraversalMethod_valueMap_String(GremlinParser.TraversalMethod_valueMap_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_valueMap_String` labeled alternative in `GremlinParser.traversalMethod_valueMap()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_valueMap_String` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_valueMap_String` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_valueMap_boolean_String

          public GraphTraversal visitTraversalMethod_valueMap_boolean_String(GremlinParser.TraversalMethod_valueMap_boolean_StringContext ctx)

      Visit a parse tree produced by the `traversalMethod_valueMap_boolean_String` labeled alternative in `GremlinParser.traversalMethod_valueMap()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_valueMap_boolean_String` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_valueMap_boolean_String` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_values

          public GraphTraversal visitTraversalMethod_values(GremlinParser.TraversalMethod_valuesContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_values()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_values` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_values` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_where_P

          public GraphTraversal visitTraversalMethod_where_P(GremlinParser.TraversalMethod_where_PContext ctx)

      Visit a parse tree produced by the `traversalMethod_where_P` labeled alternative in `GremlinParser.traversalMethod_where()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_where_P` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_where_P` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_where_String_P

          public GraphTraversal visitTraversalMethod_where_String_P(GremlinParser.TraversalMethod_where_String_PContext ctx)

      Visit a parse tree produced by the `traversalMethod_where_String_P` labeled alternative in `GremlinParser.traversalMethod_where()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_where_String_P` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_where_String_P` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_where_Traversal

          public GraphTraversal visitTraversalMethod_where_Traversal(GremlinParser.TraversalMethod_where_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_where_Traversal` labeled alternative in `GremlinParser.traversalMethod_where()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_where_Traversal` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_where_Traversal` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_math

          public GraphTraversal visitTraversalMethod_math(GremlinParser.TraversalMethod_mathContext ctx)

      Visit a parse tree produced by `GremlinParser.traversalMethod_math()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_math` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_math` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### visitTraversalMethod_option_Predicate_Traversal

          public Traversal visitTraversalMethod_option_Predicate_Traversal(GremlinParser.TraversalMethod_option_Predicate_TraversalContext ctx)

      Visit a parse tree produced by the `traversalMethod_option_Predicate_Traversal` labeled alternative in `GremlinParser.traversalMethod_option()`.

      The default implementation returns the result of calling `AbstractParseTreeVisitor.visitChildren(org.antlr.v4.runtime.tree.RuleNode)` on `ctx`.

      Specified by:
        `visitTraversalMethod_option_Predicate_Traversal` in interface `GremlinVisitor<Traversal>`
      Overrides:
        `visitTraversalMethod_option_Predicate_Traversal` in class `GremlinBaseVisitor<Traversal>`
      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### getNestedTraversalList

          public GraphTraversal[] getNestedTraversalList(GremlinParser.NestedTraversalListContext ctx)

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.